

package com.weather.common.utils;

import java.io.Serializable;
import java.util.List;

/**
 * 树节点接口，所有需要实现树节点的，都需要实现该接口
 *
 * @author 123
 * @since 1.0.0
 */
public interface TreeNode<T> extends Serializable {

    /**
     * 主键
     */
    Long getId();

    void setId(Long id);

    /**
     * 上级ID
     */
    Long getPid();

    void setPid(Long pid);

    /**
     * 子节点列表
     */
    List<T> getChildren();

    void setChildren(List<T> children);
}